Index: /palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- /palm/trunk/SOURCE/check_parameters.f90	(revision 3231)
+++ /palm/trunk/SOURCE/check_parameters.f90	(revision 3232)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id: check_parameters.f90 2520 2017-10-05 13:50:26Z gronemeier &
+! references to mrun replaced by palmrun, and updated
+! 
+! 2520 2017-10-05 13:50:26Z gronemeier
 ! Rename boundary conditions in offline nesting
 ! 
@@ -1174,5 +1177,5 @@
 !
 !--    Check whether an (uncoupled) atmospheric run has been declared as an
-!--    ocean run (this setting is done via mrun-option -y)
+!--    ocean run (this setting is done via palmrun-option -y)
        message_string = 'ocean = .F. does not allow coupling_char = "' //      &
                         TRIM( coupling_char ) // '" set by palmrun-option "-y"'
Index: /palm/trunk/SOURCE/header.f90
===================================================================
--- /palm/trunk/SOURCE/header.f90	(revision 3231)
+++ /palm/trunk/SOURCE/header.f90	(revision 3232)
@@ -20,9 +20,12 @@
 ! Current revisions:
 ! -----------------
-! Increase printed length of run identifier
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Increase printed length of run identifier
+! 
+! 3225 2018-08-30 16:33:14Z kanani
 ! Increase printed length of run identifier
 ! 
Index: /palm/trunk/SOURCE/init_coupling.f90
===================================================================
--- /palm/trunk/SOURCE/init_coupling.f90	(revision 3231)
+++ /palm/trunk/SOURCE/init_coupling.f90	(revision 3232)
@@ -25,4 +25,7 @@
 ! ------------------
 ! $Id$
+! references to mrun replaced by palmrun, and updated
+! 
+! 2718 2018-01-02 08:49:38Z maronga
 ! Corrected "Former revisions" section
 ! 
@@ -147,5 +150,7 @@
 !
 !--    Split the total available PE's into two groups
-!--    numprocs for Coarse and Fine Grid are specified via mrun argument -N 
+!--    numprocs for coarse and fine grid are read from stdin (see above, and
+!--    execution command in the palmrun script, numprocs are provided via
+!--    palmrun option -Y)
        IF ( myid < bc_data(1) )  THEN
           inter_color     = 0
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 3231)
+++ /palm/trunk/SOURCE/modules.f90	(revision 3232)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! references to mrun replaced by palmrun, and updated
+! 
+! 3198 2018-08-15 09:23:10Z sward
 ! Added multi_agent_system_end and multi_agent_system_start
 ! 
@@ -1139,7 +1142,7 @@
     CHARACTER (LEN=20)   ::  turbulence_closure = 'Moeng_Wyngaard'        !< namelist parameter
     CHARACTER (LEN=40)   ::  topography = 'flat'                          !< namelist parameter 
-    CHARACTER (LEN=64)   ::  host = '????'                                !< hostname on which PALM is running, ENVPAR namelist parameter provided by mrun
+    CHARACTER (LEN=64)   ::  host = '????'                                !< configuration identifier as given by palmrun option -c, ENVPAR namelist parameter provided by palmrun
     CHARACTER (LEN=80)   ::  log_message                                  !< user-defined message for debugging (sse data_log.f90)
-    CHARACTER (LEN=80)   ::  run_identifier                               !< run identifier as given by mrun option -d, ENVPAR namelist parameter provided by mrun
+    CHARACTER (LEN=80)   ::  run_identifier                               !< run identifier as given by palmrun option -r, ENVPAR namelist parameter provided by palmrun
     CHARACTER (LEN=100)  ::  initializing_actions = ' '                   !< namelist parameter
     CHARACTER (LEN=100)  ::  restart_string = ' '                         !< for storing strings in case of writing/reading restart data
@@ -1210,5 +1213,5 @@
     INTEGER(iwp) ::  masks = 0                         !< counter for number of masked output quantities
     INTEGER(iwp) ::  maximum_grid_level                !< number of grid levels that the multigrid solver is using
-    INTEGER(iwp) ::  maximum_parallel_io_streams = -1  !< maximum number of parallel io streams that the underlying parallel file system allows, set with mrun option -w, ENVPAR namelist parameter, provided by mrun
+    INTEGER(iwp) ::  maximum_parallel_io_streams = -1  !< maximum number of parallel io streams that the underlying parallel file system allows, set with palmrun option -w, ENVPAR namelist parameter, provided by palmrun
     INTEGER(iwp) ::  max_pr_user = 0                   !< number of user-defined profiles (must not change within a job chain)
     INTEGER(iwp) ::  mgcycles = 0                      !< number of multigrid cycles that the multigrid solver has actually carried out
@@ -1360,5 +1363,5 @@
     LOGICAL ::  rans_tke_e = .FALSE.                             !< use TKE-e turbulence closure for RANS mode
     LOGICAL ::  rans_tke_l = .FALSE.                             !< use TKE-l turbulence closure for RANS mode
-    LOGICAL ::  read_svf = .FALSE.                               !< ENVPAR namelist parameter to steer input of svf (ENVPAR is created by palmrun)
+    LOGICAL ::  read_svf = .FALSE.                               !< ENVPAR namelist parameter to steer input of svf (ENVPAR is provided by palmrun)
     LOGICAL ::  recycling_yshift = .FALSE.                       !< namelist parameter
     LOGICAL ::  run_control_header = .FALSE.                     !< onetime output of RUN_CONTROL header
@@ -1391,6 +1394,6 @@
     LOGICAL ::  wall_adjustment = .TRUE.                         !< namelist parameter
     LOGICAL ::  wind_turbine = .FALSE.                           !< flag for use of wind turbine model
-    LOGICAL ::  write_binary = .FALSE.                           !< ENVPAR namelist parameter to steer restart I/O (ENVPAR is created by palmrun)
-    LOGICAL ::  write_svf = .FALSE.                              !< ENVPAR namelist parameter to steer output of svf (ENVPAR is created by palmrun)
+    LOGICAL ::  write_binary = .FALSE.                           !< ENVPAR namelist parameter to steer restart I/O (ENVPAR is provided by palmrun)
+    LOGICAL ::  write_svf = .FALSE.                              !< ENVPAR namelist parameter to steer output of svf (ENVPAR is provided by palmrun)
     LOGICAL ::  ws_scheme_sca = .FALSE.                          !< use Wicker-Skamarock scheme (scalar advection)?
     LOGICAL ::  ws_scheme_mom = .FALSE.                          !< use Wicker-Skamarock scheme (momentum advection)?
@@ -1672,5 +1675,5 @@
     LOGICAL ::  dvrp_overlap                               !< internal dvr software variable
     LOGICAL ::  dvrp_total_overlap                         !< internal dvr software variable
-    LOGICAL ::  local_dvrserver_running                    !< namelist parameter (ENVPAR namelist provided by mrun)
+    LOGICAL ::  local_dvrserver_running                    !< namelist parameter (ENVPAR namelist provided by palmrun)
     LOGICAL ::  lock_steering_update = .FALSE.             !< internal dvr software variable
     LOGICAL ::  use_seperate_pe_for_dvrp_output = .FALSE.  !< internal dvr software variable
Index: /palm/trunk/SOURCE/palm.f90
===================================================================
--- /palm/trunk/SOURCE/palm.f90	(revision 3231)
+++ /palm/trunk/SOURCE/palm.f90	(revision 3232)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! references to mrun replaced by palmrun, and updated
+! 
+! 3182 2018-07-27 13:36:03Z suehring
 ! Deduct spinup_time from RUN_CONTROL output of main 3d run 
 ! (use time_since_reference_point instead of simulated_time)
@@ -215,12 +218,8 @@
 ! Description:
 ! ------------
-!> Large-Eddy Simulation (LES) model for the convective boundary layer, 
-!> optimized for use on parallel machines (implementation realized using the
-!> Message Passing Interface (MPI)). The model can also be run on vector machines
-!> (less well optimized) and workstations. Versions for the different types of 
-!> machines are controlled via cpp-directives.
-!> Model runs are only feasible using the ksh-script mrun.
+!> Large-Eddy Simulation (LES) model for atmospheric and oceanic boundary-layer
+!> flows
+!> see the PALM homepage https://palm-model.org for further information
 !>
-!> @todo create routine last_actions instead of calling lsm_last_actions etc.
 !> @todo move chem_init call to init_3d_model or to check_parameters
 !------------------------------------------------------------------------------!
@@ -428,5 +427,5 @@
           CALL pmci_parent_initialize
 !
-!--    Exchange_horiz is needed after the nest initialization
+!--       Exchange_horiz is needed after the nest initialization
           IF ( child_domain )  THEN
              CALL exchange_horiz( u, nbgp )
@@ -545,6 +544,6 @@
 
 !
-!-- Write run number to file (used by mrun to create unified cycle numbers for
-!-- output files
+!-- Write run number to file (used by palmrun to create unified cycle numbers
+!-- for output files
     IF ( myid == 0  .AND.  runnr > 0 )  THEN
        OPEN( 90, FILE='RUN_NUMBER', FORM='FORMATTED' )
Index: /palm/trunk/SOURCE/progress_bar_mod.f90
===================================================================
--- /palm/trunk/SOURCE/progress_bar_mod.f90	(revision 3231)
+++ /palm/trunk/SOURCE/progress_bar_mod.f90	(revision 3232)
@@ -20,10 +20,13 @@
 ! Current revisions:
 ! -----------------
-! Increase printed length of run identifier,
-! bugfix for restarts
+! 
 ! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+! Increase printed length of run identifier,
+! bugfix for restarts
+! 
+! 3225 2018-08-30 16:33:14Z kanani
 ! Increase printed length of run identifier,
 ! bugfix for restarts
Index: /palm/trunk/SOURCE/vertical_nesting_mod.f90
===================================================================
--- /palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 3231)
+++ /palm/trunk/SOURCE/vertical_nesting_mod.f90	(revision 3232)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! references to mrun replaced by palmrun, and updated
+! 
+! 3083 2018-06-19 14:03:12Z gronemeier
 ! Error messages revised
 ! 
@@ -96,6 +99,6 @@
     IMPLICIT NONE
 
-    LOGICAL                                   ::  vnested = .FALSE.            !> set to true when
-                                                                               !> mrun is called with -N option
+    LOGICAL                                   ::  vnested = .FALSE.            !> set to true if palmrun
+                                                                               !> provides specific information via stdin
     LOGICAL                                   ::  vnest_init = .FALSE.         !> set to true when FG is initialized
     REAL(wp)                                  ::  vnest_start_time = 9999999.9 !> simulated time when FG should be 
@@ -107,6 +110,6 @@
     INTEGER(iwp),DIMENSION(3,2)               :: bdims = 0        !> sub-domain grid topology of current PE
     INTEGER(iwp),DIMENSION(3,2)               :: bdims_rem = 0    !> sub-domain grid topology of partner PE
-    INTEGER(iwp)                              :: cg_nprocs        !> no. of PE in CG. Set by mrun -N
-    INTEGER(iwp)                              :: fg_nprocs        !> no. of PE in FG. Set by mrun -N
+    INTEGER(iwp)                              :: cg_nprocs        !> no. of PE in CG. Set by palmrun -Y
+    INTEGER(iwp)                              :: fg_nprocs        !> no. of PE in FG. Set by palmrun -Y
     INTEGER(iwp)                              :: TYPE_VNEST_BC    !> derived contiguous data type for interpolation
     INTEGER(iwp)                              :: TYPE_VNEST_ANTER !> derived contiguous data type for anterpolation