Index: /palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3248)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -869,5 +872,5 @@
       REWIND ( 11 )
       line = ' '
-      DO   WHILE ( INDEX( line, '&chemistry_parameters' ) == 0 )
+      DO WHILE ( INDEX( line, '&chemistry_parameters' ) == 0 )
          READ ( 11, '(A)', END=20 )  line
       ENDDO
@@ -882,6 +885,6 @@
 
  10   BACKSPACE( 11 )
-      READ( 11 ,fmt='(A)') line
-      CALL parin_fail_message ( 'chemistry_parameters', line )
+      READ( 11 , '(A)') line
+      CALL parin_fail_message( 'chemistry_parameters', line )
 
  20   CONTINUE
Index: /palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -4996,5 +4999,5 @@
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&land_surface_parameters' ) == 0 )
+       DO WHILE ( INDEX( line, '&land_surface_parameters' ) == 0 )
           READ ( 11, '(A)', END=12 )  line
        ENDDO
@@ -5012,11 +5015,11 @@
 
  10    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'land_surface_parameters', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'land_surface_parameters', line )
 !
 !--    Try to find old namelist
  12    REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&lsm_par' ) == 0 )
+       DO WHILE ( INDEX( line, '&lsm_par' ) == 0 )
           READ ( 11, '(A)', END=14 )  line
        ENDDO
@@ -5039,6 +5042,6 @@
 
  13    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'lsm_par', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'lsm_par', line )
 
 
Index: /palm/trunk/SOURCE/message.f90
===================================================================
--- /palm/trunk/SOURCE/message.f90	(revision 3247)
+++ /palm/trunk/SOURCE/message.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3247 2018-09-14 07:06:30Z sward
 ! Subroutine description updated and parin_fail_message now also outputs
 ! the line number in which namelist reading failed
@@ -323,7 +326,7 @@
 
     REWIND( 11 )
-    DO   WHILE ( INDEX( line_dum, TRIM(line) ) == 0 )
-         READ ( 11, '(A)', END=20 )  line_dum
-         line_counter = line_counter + 1
+    DO WHILE ( INDEX( line_dum, TRIM(line) ) == 0 )
+       READ ( 11, '(A)', END=20 )  line_dum
+       line_counter = line_counter + 1
     ENDDO
 
@@ -332,5 +335,5 @@
                    '&Reading fails on line ', line_counter,                    &
                    ' at&' // line
-          CALL message( 'parin', 'PA0271', 1, 2, 0, 6, 0 )
+    CALL message( 'parin', 'PA0271', 1, 2, 0, 6, 0 )
 
  END SUBROUTINE parin_fail_message
Index: /palm/trunk/SOURCE/multi_agent_system_mod.f90
===================================================================
--- /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/multi_agent_system_mod.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -3771,5 +3774,5 @@
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&agent_parameters' ) == 0 )
+       DO WHILE ( INDEX( line, '&agent_parameters' ) == 0 )
           READ ( 11, '(A)', END=20 )  line
        ENDDO
@@ -3786,6 +3789,6 @@
 
  10    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'agent_parameters', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'agent_parameters', line )
 
  20    CONTINUE
Index: /palm/trunk/SOURCE/package_parin.f90
===================================================================
--- /palm/trunk/SOURCE/package_parin.f90	(revision 3247)
+++ /palm/trunk/SOURCE/package_parin.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -315,5 +318,5 @@
  20 BACKSPACE( 11 )
     READ( 11 ,fmt='(A)') line
-    CALL parin_fail_message ( 'dvrp_graphics_par', line )
+    CALL parin_fail_message( 'dvrp_graphics_par', line )
 
  21 CONTINUE
@@ -340,6 +343,6 @@
 
 10  BACKSPACE( 11 )
-    READ( 11 ,fmt='(A)') line
-    CALL parin_fail_message ( 'particle_parameters', line )
+    READ( 11 , '(A)') line
+    CALL parin_fail_message( 'particle_parameters', line )
 
 !
@@ -347,5 +350,5 @@
 12  REWIND ( 11 )
     line = ' '
-    DO   WHILE ( INDEX( line, '&particles_par' ) == 0 )
+    DO WHILE ( INDEX( line, '&particles_par' ) == 0 )
        READ ( 11, '(A)', END=14 )  line
     ENDDO
@@ -369,6 +372,6 @@
 
  13    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'particles_par', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'particles_par', line )
 
  14 CONTINUE
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 3247)
+++ /palm/trunk/SOURCE/parin.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -789,6 +792,6 @@
           
  10       BACKSPACE( 11 )
-          READ( 11 ,fmt='(A)') line
-          CALL parin_fail_message ( 'initialization_parameters', line )
+          READ( 11 , '(A)') line
+          CALL parin_fail_message( 'initialization_parameters', line )
 
  11       REWIND ( 11 )
@@ -803,6 +806,6 @@
  
  12       BACKSPACE( 11 )
-          READ( 11 ,fmt='(A)') line
-          CALL parin_fail_message ( 'inipar', line )
+          READ( 11 , '(A)') line
+          CALL parin_fail_message( 'inipar', line )
 
  13       message_string = 'no initialization_parameters-namelist found'
@@ -818,5 +821,5 @@
           REWIND ( 11 )
           line = ' '
-          DO   WHILE ( INDEX( line, '&runtime_parameters' ) == 0 )
+          DO WHILE ( INDEX( line, '&runtime_parameters' ) == 0 )
              READ ( 11, '(A)', END=16 )  line
           ENDDO
@@ -829,10 +832,10 @@
 
  15       BACKSPACE( 11 )
-          READ( 11 ,fmt='(A)') line
-          CALL parin_fail_message ( 'runtime_parameters', line )
+          READ( 11 , '(A)') line
+          CALL parin_fail_message( 'runtime_parameters', line )
 
  16       REWIND ( 11 )
           line = ' '
-          DO   WHILE ( INDEX( line, '&d3par' ) == 0 )
+          DO WHILE ( INDEX( line, '&d3par' ) == 0 )
              READ ( 11, '(A)', END=18 )  line
           ENDDO
@@ -851,6 +854,6 @@
 
  17       BACKSPACE( 11 )
-          READ( 11 ,fmt='(A)') line
-          CALL parin_fail_message ( 'd3par', line )
+          READ( 11 , '(A)') line
+          CALL parin_fail_message( 'd3par', line )
 
  18       CONTINUE
Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -1031,5 +1034,5 @@
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&plant_canopy_parameters' ) == 0 )
+       DO WHILE ( INDEX( line, '&plant_canopy_parameters' ) == 0 )
           READ ( 11, '(A)', END=12 )  line
        ENDDO
@@ -1047,11 +1050,11 @@
 
  10    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'plant_canopy_parameters', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'plant_canopy_parameters', line )
 !
 !--    Try to find old namelist
  12    REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&canopy_par' ) == 0 )
+       DO WHILE ( INDEX( line, '&canopy_par' ) == 0 )
           READ ( 11, '(A)', END=14 )  line
        ENDDO
@@ -1074,6 +1077,6 @@
 
  13    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'canopy_par', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'canopy_par', line )
 
  14    CONTINUE
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3248)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -2789,5 +2792,5 @@
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&radiation_parameters' ) == 0 )
+       DO WHILE ( INDEX( line, '&radiation_parameters' ) == 0 )
           READ ( 11, '(A)', END=12 )  line
        ENDDO
@@ -2805,11 +2808,11 @@
 
  10    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'radiation_parameters', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'radiation_parameters', line )
 !
 !--    Try to find old namelist
  12    REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&radiation_par' ) == 0 )
+       DO WHILE ( INDEX( line, '&radiation_par' ) == 0 )
           READ ( 11, '(A)', END=14 )  line
        ENDDO
@@ -2838,6 +2841,6 @@
 
  13    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'radiation_par', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'radiation_par', line )
 
  14    CONTINUE
Index: /palm/trunk/SOURCE/spectra_mod.f90
===================================================================
--- /palm/trunk/SOURCE/spectra_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/spectra_mod.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -239,5 +242,5 @@
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&spectra_parameters' ) == 0 )
+       DO WHILE ( INDEX( line, '&spectra_parameters' ) == 0 )
           READ ( 11, '(A)', END=12 )  line
        ENDDO
@@ -260,11 +263,11 @@
 
  10    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'spectra_parameters', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'spectra_parameters', line )
 !
 !--    Try to find the old namelist
  12    REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&spectra_par' ) == 0 )
+       DO WHILE ( INDEX( line, '&spectra_par' ) == 0 )
           READ ( 11, '(A)', END=14 )  line
        ENDDO
@@ -292,6 +295,6 @@
 
  13    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'spectra_par', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'spectra_par', line )
        
        
Index: /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -985,6 +988,6 @@
 
  10 BACKSPACE( 11 )
-    READ( 11 ,fmt='(A)') line
-    CALL parin_fail_message ( 'stg_par', line )
+    READ( 11 , '(A)') line
+    CALL parin_fail_message( 'stg_par', line )
 
  20 CONTINUE
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3248)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -5359,5 +5362,5 @@
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&urban_surface_parameters' ) == 0 )
+       DO WHILE ( INDEX( line, '&urban_surface_parameters' ) == 0 )
           READ ( 11, '(A)', END=12 )  line
        ENDDO
@@ -5375,11 +5378,11 @@
 
  10    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'urban_surface_parameters', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'urban_surface_parameters', line )
 !
 !--    Try to find old namelist
  12    REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&urban_surface_par' ) == 0 )
+       DO WHILE ( INDEX( line, '&urban_surface_par' ) == 0 )
           READ ( 11, '(A)', END=14 )  line
        ENDDO
@@ -5402,6 +5405,6 @@
 
  13    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'urban_surface_par', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'urban_surface_par', line )
 
 
Index: /palm/trunk/SOURCE/user_parin.f90
===================================================================
--- /palm/trunk/SOURCE/user_parin.f90	(revision 3247)
+++ /palm/trunk/SOURCE/user_parin.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -142,5 +145,5 @@
 
     line = ' '
-    DO   WHILE ( INDEX( line, '&user_parameters' ) == 0 )
+    DO WHILE ( INDEX( line, '&user_parameters' ) == 0 )
        READ ( 11, '(A)', END=12 )  line
     ENDDO
@@ -156,11 +159,11 @@
 
 10  BACKSPACE( 11 )
-    READ( 11 ,fmt='(A)') line
-    CALL parin_fail_message ( 'user_parameters', line )
+    READ( 11 , '(A)') line
+    CALL parin_fail_message( 'user_parameters', line )
 
 12  REWIND ( 11 )
 
     line = ' ' 
-    DO   WHILE ( INDEX( line, '&userpar' ) == 0 )
+    DO WHILE ( INDEX( line, '&userpar' ) == 0 )
        READ ( 11, '(A)', END=14 )  line
     ENDDO
@@ -181,8 +184,8 @@
 
 13  BACKSPACE( 11 )
-    READ( 11 ,fmt='(A)') line
-    CALL parin_fail_message ( 'userpar', line )
-
-14 CONTINUE
+    READ( 11 , '(A)') line
+    CALL parin_fail_message( 'userpar', line )
+
+14  CONTINUE
 
 !
@@ -192,9 +195,9 @@
        IF ( data_output_pr_user(1) /= ' ' )  THEN
           i = 1
-          DO  WHILE ( data_output_pr(i) /= ' '  .AND.  i <= 100 )
+          DO WHILE ( data_output_pr(i) /= ' '  .AND.  i <= 100 )
              i = i + 1
           ENDDO
           j = 1
-          DO  WHILE ( data_output_pr_user(j) /= ' '  .AND.  j <= 100 )
+          DO WHILE ( data_output_pr_user(j) /= ' '  .AND.  j <= 100 )
              data_output_pr(i) = data_output_pr_user(j)
              max_pr_user_tmp   = max_pr_user_tmp + 1
Index: /palm/trunk/SOURCE/uv_exposure_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/uv_exposure_model_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/uv_exposure_model_mod.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message and small
 ! typo bugfix
@@ -453,5 +456,5 @@
     REWIND ( 11 )
     line = ' '
-    DO   WHILE ( INDEX( line, '&biometeorology_parameters' ) == 0 )
+    DO WHILE ( INDEX( line, '&biometeorology_parameters' ) == 0 )
        READ ( 11, '(A)', END=20 )  line
     ENDDO
@@ -467,6 +470,6 @@
 
  10 BACKSPACE( 11 )
-    READ( 11 ,fmt='(A)') line
-    CALL parin_fail_message ( 'biometeorology_parameters', line )
+    READ( 11 , '(A)') line
+    CALL parin_fail_message( 'biometeorology_parameters', line )
 
 
Index: /palm/trunk/SOURCE/virtual_flight_mod.f90
===================================================================
--- /palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/virtual_flight_mod.f90	(revision 3248)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -252,5 +255,5 @@
        REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&virtual_flight_parameters' ) == 0 )
+       DO WHILE ( INDEX( line, '&virtual_flight_parameters' ) == 0 )
           READ ( 11, '(A)', END=12 )  line
        ENDDO
@@ -267,11 +270,11 @@
 
  10    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'virtual_flight_parameters', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'virtual_flight_parameters', line )
 !
 !--    Try to find the old namelist
  12    REWIND ( 11 )
        line = ' '
-       DO   WHILE ( INDEX( line, '&flight_par' ) == 0 )
+       DO WHILE ( INDEX( line, '&flight_par' ) == 0 )
           READ ( 11, '(A)', END=14 )  line
        ENDDO
@@ -293,6 +296,6 @@
 
  13    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'flight_par', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'flight_par', line )
 
  14    CONTINUE
Index: /palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 3247)
+++ /palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 3248)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! Minor formating changes
+! 
+! 3246 2018-09-13 15:14:50Z sward
 ! Added error handling for input namelist via parin_fail_message
 ! 
@@ -537,5 +540,5 @@
        REWIND ( 11 )
        line = ' '
-       DO  WHILE ( INDEX( line, '&wind_turbine_parameters' ) == 0 )
+       DO WHILE ( INDEX( line, '&wind_turbine_parameters' ) == 0 )
           READ ( 11, '(A)', END=12 )  line
        ENDDO
@@ -552,6 +555,6 @@
 
  10    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'wind_turbine_parameters', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'wind_turbine_parameters', line )
 
 !
@@ -559,5 +562,5 @@
  12    REWIND ( 11 )
        line = ' '
-       DO  WHILE ( INDEX( line, '&wind_turbine_par' ) == 0 )
+       DO WHILE ( INDEX( line, '&wind_turbine_par' ) == 0 )
           READ ( 11, '(A)', END=14 )  line
        ENDDO
@@ -580,6 +583,6 @@
 
  13    BACKSPACE( 11 )
-       READ( 11 ,fmt='(A)') line
-       CALL parin_fail_message ( 'wind_turbine_par', line )
+       READ( 11 , '(A)') line
+       CALL parin_fail_message( 'wind_turbine_par', line )
 
  14    CONTINUE   ! TBD Change from continue, mit ierrn machen